Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.richParser
Interface XMLStreamReaderExt

All Superinterfaces:
  javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader

All Known Implementing Classes:
  XMLStreamReaderExtImpl

    public interface XMLStreamReaderExt

extends javax.xml.stream.XMLStreamReader

This interface extends the simple XMLStreamReader interface adding methods to get java objects asociated with schemas simple types like: ints, long, BigIntegers, Dates etc Note: Given the fact that an implemetation of this interface will not run validation in the stream, we will not include support for lists, enumeration and unions. They might be possible to introduce but the user has to push the corect schema type. Because usualy the backends are not list/union aware, there would be not performance win from this. If interest rises for this, support should be added. Author: Cezar Andrei (cezar.andrei at bea.com) Date: Nov 14, 2003

Field Summary
`static int` | `WS_COLLAPSE`
`static int` | `WS_PRESERVE`
`static int` | `WS_REPLACE`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Method Summary
`java.io.InputStream` | `getAttributeBase64Value(int index)` Returns the decoded base64 value as anInputStream.
`java.io.InputStream` | `getAttributeBase64Value(java.lang.String uri, java.lang.String local)` Returns the decoded base64 value as anInputStream.
`java.math.BigDecimal` | `getAttributeBigDecimalValue(int index)` Returns the value as a `BigDecimal`.
`java.math.BigDecimal` | `getAttributeBigDecimalValue(java.lang.String uri, java.lang.String local)` Returns the value as a `BigDecimal`.
`java.math.BigInteger` | `getAttributeBigIntegerValue(int index)` Returns the value as a `BigInteger`.
`java.math.BigInteger` | `getAttributeBigIntegerValue(java.lang.String uri, java.lang.String local)` Returns the value as a `BigInteger`.
`boolean` | `getAttributeBooleanValue(int index)` Returns the value as a boolean.
`boolean` | `getAttributeBooleanValue(java.lang.String uri, java.lang.String local)` Returns the value as a boolean.
`byte` | `getAttributeByteValue(int index)` Returns the value as a byte.
`byte` | `getAttributeByteValue(java.lang.String uri, java.lang.String local)` Returns the value as a byte.
`XmlCalendar` | `getAttributeCalendarValue(int index)` Returns the value as an XmlCalendar which extends `Calendar`.
`XmlCalendar` | `getAttributeCalendarValue(java.lang.String uri, java.lang.String local)` Returns the value as an XmlCalendar which extends `Calendar`.
`java.util.Date` | `getAttributeDateValue(int index)` Returns the value as a `Date`.
`java.util.Date` | `getAttributeDateValue(java.lang.String uri, java.lang.String local)` Returns the value as a `Date`.
`double` | `getAttributeDoubleValue(int index)` Returns the value as a double.
`double` | `getAttributeDoubleValue(java.lang.String uri, java.lang.String local)` Returns the value as a double.
`float` | `getAttributeFloatValue(int index)` Returns the value as a float.
`float` | `getAttributeFloatValue(java.lang.String uri, java.lang.String local)` Returns the value as a float.
`GDate` | `getAttributeGDateValue(int index)` Returns the value as a `GDate`.
`GDate` | `getAttributeGDateValue(java.lang.String uri, java.lang.String local)` Returns the value as a `GDate`.
`GDuration` | `getAttributeGDurationValue(int index)` Returns the value as a `GDuration`.
`GDuration` | `getAttributeGDurationValue(java.lang.String uri, java.lang.String local)` Returns the value as a `GDuration`.
`java.io.InputStream` | `getAttributeHexBinaryValue(int index)` Returns the decoded hexbinary value as an InputStream.
`java.io.InputStream` | `getAttributeHexBinaryValue(java.lang.String uri, java.lang.String local)` Returns the decoded hexbinary value as an InputStream.
`int` | `getAttributeIntValue(int index)` Returns the value as an int.
`int` | `getAttributeIntValue(java.lang.String uri, java.lang.String local)` Returns the value as an int.
`long` | `getAttributeLongValue(int index)` Returns the value as a long.
`long` | `getAttributeLongValue(java.lang.String uri, java.lang.String local)` Returns the value as a long.
`javax.xml.namespace.QName` | `getAttributeQNameValue(int index)` Returns the value as a `QName`.
`javax.xml.namespace.QName` | `getAttributeQNameValue(java.lang.String uri, java.lang.String local)` Returns the value as a `QName`.
`short` | `getAttributeShortValue(int index)` Returns the value as a short.
`short` | `getAttributeShortValue(java.lang.String uri, java.lang.String local)` Returns the value as a short.
`java.lang.String` | `getAttributeStringValue(int index)` Returns the value as a `String`.
`java.lang.String` | `getAttributeStringValue(int index, int wsStyle)` Returns the value as a `String`, with wsStyle applied.
`java.lang.String` | `getAttributeStringValue(java.lang.String uri, java.lang.String local)` Returns the value as a `String`.
`java.lang.String` | `getAttributeStringValue(java.lang.String uri, java.lang.String local, int wsStyle)` Returns the value as a `String`, with wsStyle applied.
`java.io.InputStream` | `getBase64Value()` Returns the decoded base64 value as anInputStream.
`java.math.BigDecimal` | `getBigDecimalValue()` Returns the value as a `BigDecimal`.
`java.math.BigInteger` | `getBigIntegerValue()` Returns the value as a `BigInteger`.
`boolean` | `getBooleanValue()` Returns the value as a boolean.
`byte` | `getByteValue()` Returns the value as a byte.
`XmlCalendar` | `getCalendarValue()` Returns the value as an XmlCalendar which extends `Calendar`.
`java.util.Date` | `getDateValue()` Returns the value as a `Date`.
`double` | `getDoubleValue()` Returns the value as a double.
`float` | `getFloatValue()` Returns the value as a float.
`GDate` | `getGDateValue()` Returns the value as a `GDate`.
`GDuration` | `getGDurationValue()` Returns the value as a `GDuration`.
`java.io.InputStream` | `getHexBinaryValue()` Returns the decoded hexbinary value as an InputStream.
`int` | `getIntValue()` Returns the value as an int.
`long` | `getLongValue()` Returns the value as a long.
`javax.xml.namespace.QName` | `getQNameValue()` Returns the value as a `QName`.
`short` | `getShortValue()` Returns the value as a short.
`java.lang.String` | `getStringValue()` Returns the value as a `String`.
`java.lang.String` | `getStringValue(int wsStyle)` Returns the value as a `String`, with wsStyle applied.
`void` | `setDefaultValue(java.lang.String defaultValue)` Sets the default value for the next getXXXValue() call.

Methods inherited from interface javax.xml.stream.XMLStreamReader
`close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getElementText, getEncoding, getEventType, getLocalName, getLocation, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasName, hasNext, hasText, isAttributeSpecified, isCharacters, isEndElement, isStandalone, isStartElement, isWhiteSpace, next, nextTag, require, standaloneSet`

Field Detail

### WS_PRESERVE

    static final int WS_PRESERVE

See Also:
  Constant Field Values

### WS_REPLACE

    static final int WS_REPLACE

See Also:
  Constant Field Values

### WS_COLLAPSE

    static final int WS_COLLAPSE

See Also:
  Constant Field Values

Method Detail

### getStringValue

    java.lang.String getStringValue()
                                    throws javax.xml.stream.XMLStreamException

  Returns the value as a `String`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getStringValue

    java.lang.String getStringValue(int wsStyle)
                                    throws javax.xml.stream.XMLStreamException

  Returns the value as a `String`, with wsStyle applied.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getBooleanValue

    boolean getBooleanValue()
                            throws javax.xml.stream.XMLStreamException

  Returns the value as a boolean.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getByteValue

    byte getByteValue()
                      throws javax.xml.stream.XMLStreamException

  Returns the value as a byte.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getShortValue

    short getShortValue()
                        throws javax.xml.stream.XMLStreamException

  Returns the value as a short.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getIntValue

    int getIntValue()
                    throws javax.xml.stream.XMLStreamException

  Returns the value as an int.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getLongValue

    long getLongValue()
                      throws javax.xml.stream.XMLStreamException

  Returns the value as a long.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getBigIntegerValue

    java.math.BigInteger getBigIntegerValue()
                                            throws javax.xml.stream.XMLStreamException

  Returns the value as a `BigInteger`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getBigDecimalValue

    java.math.BigDecimal getBigDecimalValue()
                                            throws javax.xml.stream.XMLStreamException

  Returns the value as a `BigDecimal`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getFloatValue

    float getFloatValue()
                        throws javax.xml.stream.XMLStreamException

  Returns the value as a float.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getDoubleValue

    double getDoubleValue()
                          throws javax.xml.stream.XMLStreamException

  Returns the value as a double.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getHexBinaryValue

    java.io.InputStream getHexBinaryValue()
                                          throws javax.xml.stream.XMLStreamException

  Returns the decoded hexbinary value as an InputStream.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getBase64Value

    java.io.InputStream getBase64Value()
                                       throws javax.xml.stream.XMLStreamException

  Returns the decoded base64 value as anInputStream.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getCalendarValue

    XmlCalendar getCalendarValue()
                                 throws javax.xml.stream.XMLStreamException

  Returns the value as an XmlCalendar which extends `Calendar`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getDateValue

    java.util.Date getDateValue()
                                throws javax.xml.stream.XMLStreamException

  Returns the value as a `Date`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getGDateValue

    GDate getGDateValue()
                        throws javax.xml.stream.XMLStreamException

  Returns the value as a `GDate`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getGDurationValue

    GDuration getGDurationValue()
                                throws javax.xml.stream.XMLStreamException

  Returns the value as a `GDuration`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getQNameValue

    javax.xml.namespace.QName getQNameValue()
                                            throws javax.xml.stream.XMLStreamException

  Returns the value as a `QName`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeStringValue

    java.lang.String getAttributeStringValue(int index)
                                             throws javax.xml.stream.XMLStreamException

  Returns the value as a `String`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeStringValue

    java.lang.String getAttributeStringValue(int index,
                                             int wsStyle)
                                             throws javax.xml.stream.XMLStreamException

  Returns the value as a `String`, with wsStyle applied.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBooleanValue

    boolean getAttributeBooleanValue(int index)
                                     throws javax.xml.stream.XMLStreamException

  Returns the value as a boolean.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeByteValue

    byte getAttributeByteValue(int index)
                               throws javax.xml.stream.XMLStreamException

  Returns the value as a byte.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeShortValue

    short getAttributeShortValue(int index)
                                 throws javax.xml.stream.XMLStreamException

  Returns the value as a short.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeIntValue

    int getAttributeIntValue(int index)
                             throws javax.xml.stream.XMLStreamException

  Returns the value as an int.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeLongValue

    long getAttributeLongValue(int index)
                               throws javax.xml.stream.XMLStreamException

  Returns the value as a long.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBigIntegerValue

    java.math.BigInteger getAttributeBigIntegerValue(int index)
                                                     throws javax.xml.stream.XMLStreamException

  Returns the value as a `BigInteger`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBigDecimalValue

    java.math.BigDecimal getAttributeBigDecimalValue(int index)
                                                     throws javax.xml.stream.XMLStreamException

  Returns the value as a `BigDecimal`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeFloatValue

    float getAttributeFloatValue(int index)
                                 throws javax.xml.stream.XMLStreamException

  Returns the value as a float.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeDoubleValue

    double getAttributeDoubleValue(int index)
                                   throws javax.xml.stream.XMLStreamException

  Returns the value as a double.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeHexBinaryValue

    java.io.InputStream getAttributeHexBinaryValue(int index)
                                                   throws javax.xml.stream.XMLStreamException

  Returns the decoded hexbinary value as an InputStream.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBase64Value

    java.io.InputStream getAttributeBase64Value(int index)
                                                throws javax.xml.stream.XMLStreamException

  Returns the decoded base64 value as anInputStream.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeCalendarValue

    XmlCalendar getAttributeCalendarValue(int index)
                                          throws javax.xml.stream.XMLStreamException

  Returns the value as an XmlCalendar which extends `Calendar`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeDateValue

    java.util.Date getAttributeDateValue(int index)
                                         throws javax.xml.stream.XMLStreamException

  Returns the value as a `Date`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeGDateValue

    GDate getAttributeGDateValue(int index)
                                 throws javax.xml.stream.XMLStreamException

  Returns the value as a `GDate`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeGDurationValue

    GDuration getAttributeGDurationValue(int index)
                                         throws javax.xml.stream.XMLStreamException

  Returns the value as a `GDuration`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeQNameValue

    javax.xml.namespace.QName getAttributeQNameValue(int index)
                                                     throws javax.xml.stream.XMLStreamException

  Returns the value as a `QName`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeStringValue

    java.lang.String getAttributeStringValue(java.lang.String uri,
                                             java.lang.String local)
                                             throws javax.xml.stream.XMLStreamException

  Returns the value as a `String`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeStringValue

    java.lang.String getAttributeStringValue(java.lang.String uri,
                                             java.lang.String local,
                                             int wsStyle)
                                             throws javax.xml.stream.XMLStreamException

  Returns the value as a `String`, with wsStyle applied.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBooleanValue

    boolean getAttributeBooleanValue(java.lang.String uri,
                                     java.lang.String local)
                                     throws javax.xml.stream.XMLStreamException

  Returns the value as a boolean.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeByteValue

    byte getAttributeByteValue(java.lang.String uri,
                               java.lang.String local)
                               throws javax.xml.stream.XMLStreamException

  Returns the value as a byte.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeShortValue

    short getAttributeShortValue(java.lang.String uri,
                                 java.lang.String local)
                                 throws javax.xml.stream.XMLStreamException

  Returns the value as a short.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeIntValue

    int getAttributeIntValue(java.lang.String uri,
                             java.lang.String local)
                             throws javax.xml.stream.XMLStreamException

  Returns the value as an int.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeLongValue

    long getAttributeLongValue(java.lang.String uri,
                               java.lang.String local)
                               throws javax.xml.stream.XMLStreamException

  Returns the value as a long.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBigIntegerValue

    java.math.BigInteger getAttributeBigIntegerValue(java.lang.String uri,
                                                     java.lang.String local)
                                                     throws javax.xml.stream.XMLStreamException

  Returns the value as a `BigInteger`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBigDecimalValue

    java.math.BigDecimal getAttributeBigDecimalValue(java.lang.String uri,
                                                     java.lang.String local)
                                                     throws javax.xml.stream.XMLStreamException

  Returns the value as a `BigDecimal`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeFloatValue

    float getAttributeFloatValue(java.lang.String uri,
                                 java.lang.String local)
                                 throws javax.xml.stream.XMLStreamException

  Returns the value as a float.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeDoubleValue

    double getAttributeDoubleValue(java.lang.String uri,
                                   java.lang.String local)
                                   throws javax.xml.stream.XMLStreamException

  Returns the value as a double.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeHexBinaryValue

    java.io.InputStream getAttributeHexBinaryValue(java.lang.String uri,
                                                   java.lang.String local)
                                                   throws javax.xml.stream.XMLStreamException

  Returns the decoded hexbinary value as an InputStream.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeBase64Value

    java.io.InputStream getAttributeBase64Value(java.lang.String uri,
                                                java.lang.String local)
                                                throws javax.xml.stream.XMLStreamException

  Returns the decoded base64 value as anInputStream.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeCalendarValue

    XmlCalendar getAttributeCalendarValue(java.lang.String uri,
                                          java.lang.String local)
                                          throws javax.xml.stream.XMLStreamException

  Returns the value as an XmlCalendar which extends `Calendar`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeDateValue

    java.util.Date getAttributeDateValue(java.lang.String uri,
                                         java.lang.String local)
                                         throws javax.xml.stream.XMLStreamException

  Returns the value as a `Date`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeGDateValue

    GDate getAttributeGDateValue(java.lang.String uri,
                                 java.lang.String local)
                                 throws javax.xml.stream.XMLStreamException

  Returns the value as a `GDate`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeGDurationValue

    GDuration getAttributeGDurationValue(java.lang.String uri,
                                         java.lang.String local)
                                         throws javax.xml.stream.XMLStreamException

  Returns the value as a `GDuration`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### getAttributeQNameValue

    javax.xml.namespace.QName getAttributeQNameValue(java.lang.String uri,
                                                     java.lang.String local)
                                                     throws javax.xml.stream.XMLStreamException

  Returns the value as a `QName`.

  Throws:
    `javax.xml.stream.XMLStreamException`

### setDefaultValue

    void setDefaultValue(java.lang.String defaultValue)
                         throws javax.xml.stream.XMLStreamException

  Sets the default value for the next getXXXValue() call. For example: setDefaultValue("7"); //the xml looks like: int i = getIntValue(); // returns 7 // from now on the default value will not apply anymore Note: Works for getAttributeXXXValue(...) too.

  Throws:
    `javax.xml.stream.XMLStreamException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD